# Search Individual Customer

Search for an existing customer account profile information by providing the unique `id` of the account you want to update to request a query.

<mark style="color:blue;">`GET`</mark> `/api/Account/v1/SearchIndividualCustomers`

**Headers**

<table><thead><tr><th width="368">Name</th><th>Value</th></tr></thead><tbody><tr><td>Content-Type<mark style="color:red;">*</mark></td><td><code>application/json</code></td></tr><tr><td>Authorization<mark style="color:red;">*</mark></td><td><code>Bearer &#x3C;token></code></td></tr><tr><td>Request-Reference</td><td><code>{unique-reference}</code></td></tr></tbody></table>

**Query Parameter**

<table><thead><tr><th width="215">Name</th><th width="118">Data Type</th><th>Description</th><th data-hidden data-type="checkbox">Required</th></tr></thead><tbody><tr><td>ID</td><td>uuid</td><td>Unique identifier for the customer (UUID format)</td><td>false</td></tr><tr><td>CustomerID</td><td>string </td><td>Unique identifier for the customer</td><td>false</td></tr><tr><td>OldCustomerID</td><td>string</td><td>Previous customer identifier, if applicable</td><td>false</td></tr><tr><td>Title</td><td>string</td><td>Title of the customer (e.g., Mr, Mrs, Miss)</td><td>false</td></tr><tr><td>CustomerType</td><td>string</td><td>Type of customer (e.g., individual, corporate)</td><td>false</td></tr><tr><td>Name</td><td>string</td><td>Full name of the customer</td><td>false</td></tr><tr><td>FirstName</td><td>string</td><td>First name of the customer</td><td>false</td></tr><tr><td>LastName</td><td>string</td><td>Last name of the customer</td><td>false</td></tr><tr><td>OtherNames</td><td>string</td><td>Other names of the customer</td><td>false</td></tr><tr><td>HouseAddress</td><td>string</td><td>Residential address of the customer</td><td>false</td></tr><tr><td>MaritalStatus</td><td>string</td><td>Marital status of the customer</td><td>false</td></tr><tr><td>MaidenName</td><td>string</td><td>Maiden name of the customer</td><td>false</td></tr><tr><td>Religion</td><td>string</td><td>Religion of the customer</td><td>false</td></tr><tr><td>PhoneNumber</td><td>string</td><td>Phone number of the customer</td><td>false</td></tr><tr><td>Email</td><td>string</td><td>Email address of the customer</td><td>false</td></tr><tr><td>Hometown</td><td>string</td><td>Hometown of the customer</td><td>false</td></tr><tr><td>DateOfBirth</td><td>dateTime</td><td>Date of birth of the customer</td><td>false</td></tr><tr><td>Nationality</td><td>string</td><td>Nationality of the customer</td><td>false</td></tr><tr><td>State</td><td>string</td><td>State of origin or residence</td><td>false</td></tr><tr><td>LGA</td><td>string</td><td>Local Government Area (LGA)</td><td>false</td></tr><tr><td>MeansOfIdentification</td><td>string</td><td>Type of identification used</td><td>false</td></tr><tr><td>IDNumber</td><td>string</td><td>Identification number for the provided ID</td><td>false</td></tr><tr><td>NOKName</td><td>string</td><td>Next of kin's name</td><td>false</td></tr><tr><td>NOKAddress</td><td>string</td><td>Next of kin's address</td><td>false</td></tr><tr><td>NOKGender</td><td>string</td><td>Next of kin's gender</td><td>false</td></tr><tr><td>NOKRelationship</td><td>string</td><td>Relationship of the next of kin to the customer</td><td>false</td></tr><tr><td>NOKPhoneNumber</td><td>string</td><td>Next of kin's phone number</td><td>false</td></tr><tr><td>NOKEmail</td><td>string</td><td>Next of kin's email address</td><td>false</td></tr><tr><td>Occupation</td><td>string</td><td>Occupation of the customer</td><td>false</td></tr><tr><td>EmployerName</td><td>string</td><td>Employer's name</td><td>false</td></tr><tr><td>EmployerAddress</td><td>string</td><td>Employer's address</td><td>false</td></tr><tr><td>OfficePhoneNumber</td><td>string</td><td>Office phone number of the customer</td><td>false</td></tr><tr><td>Description</td><td>string</td><td>Description of the customer or account</td><td>false</td></tr><tr><td>OfficialAddress</td><td>string</td><td>Official address of the customer</td><td>false</td></tr><tr><td>BusinessPhoneNumber</td><td>string</td><td>Business phone number</td><td>false</td></tr><tr><td>NatureOfBusiness</td><td>string</td><td>Nature of the business</td><td>false</td></tr><tr><td>IndustrialSector</td><td>string</td><td>Code representing the industrial sector</td><td>false</td></tr><tr><td>RegistrationDate</td><td>dateTime</td><td>Date of business registration</td><td>false</td></tr><tr><td>IncorporationDate</td><td>dateTime</td><td>Date of business incorporation</td><td>false</td></tr><tr><td>RegistrationNumber</td><td>string</td><td>Business registration number</td><td>false</td></tr><tr><td>ContactPersonName</td><td>string</td><td>Name of the contact person</td><td>false</td></tr><tr><td>ContactPersonPhoneNumber</td><td>string</td><td>Phone number of the contact person</td><td>false</td></tr><tr><td>CountryOfOperation</td><td>string</td><td>Country where the business operates</td><td>false</td></tr><tr><td>StateOfOperation</td><td>string</td><td>State where the business operates</td><td>false</td></tr><tr><td>StartDate</td><td>dateTime</td><td>Start date for the business or activity</td><td>false</td></tr><tr><td>EndDate</td><td>dateTime</td><td>End date for the business or activity</td><td>false</td></tr><tr><td>PageNumber</td><td>integer</td><td>Page number for pagination purposes</td><td>false</td></tr><tr><td>PageSize</td><td>integer</td><td>Number of items per page for pagination</td><td>true</td></tr><tr><td>SortColumn</td><td>string</td><td>Column by which you want to sort the results: (e.g., <code>accountName</code>, <code>accountType</code>, <code>accesslevel</code>)</td><td>true</td></tr><tr><td>Direction</td><td>string</td><td>Direction of the sort (e.g., <code>ascending</code>, <code>descending</code>)</td><td>true</td></tr><tr><td>BVN</td><td>string</td><td>Bank Verification Number (BVN)</td><td>true</td></tr></tbody></table>

<details>

<summary>Sample Request</summary>

```json
curl --location -g '{{baseurl}}/api/Account/v1/SearchIndividualCustomers' \
--header 'Content-Type: application/json' \
--header 'Authorization: bearer ' \
--header 'request-reference;'
```

</details>

<details>

<summary>Response : <code>200</code></summary>

```
//request successful
```

</details>


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.udara360.io/udara360-docs-1/customer/customer-api/search-individual-customer.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
